If your Android smartphone has been stuck in the first three generations of the Android update, it may be time for you to start thinking about upgrading your device (if it doesn’t support higher versions). Some apps are already starting to discontinue support for these more “ancient” versions of Android and so if you want to continue using them, then you probably should start looking for a new phone. WhatsApp and Telegram are two of the latest apps to have quietly announced that they will not be supporting versions that may probably be obsolete by now.

WhatsApp actually made the official announcement last year around the time that they turned seven in February, saying that by the end of 2016, they will not be supporting devices running on Android 2.1 and Android 2.2, together with other platforms like Blackberry OS, Blackberry 10, Windows Phone 7, iPhone 3GS / iOS 6. They said that the devices running on these platforms will probably not have the kind of capabilities that can support the app expansion.

Telegram, another popular messaging app, has also quietly cut support not just for the two versions, but even for Android 2.3 and 3.0. So in order to run the app, your device must be running on Android 4.0 Ice Cream Sandwich or above. If you still won’t be able to get a newer device or update to a newer version, you can still use the web version of Telegram.

There are still around 19M devices that are running on Android 2.2, 2.3 and 3.0, which is just 1.4% of the Android usage share. It will probably not affect that much Telegram users, but maybe there is still a large number of WhatsApp users that will be affected, given that they have around a billion users already.

SOURCES: WhatsApp, Telegram